<script lang="ts" setup>
import { ref } from 'vue'

import { errorContext, generalContext, gitlabCIContext, scriptingContext } from '@/views/chat/config/chats-config.ts'
import Chat from '@/views/chat/chat.vue'
import ChatApp from '@/views/chat/ChatApp.vue'

// Maneja qué tab está actualmente seleccionada
const currentTab = ref(0)
</script>

<template>
  <VCard>
    <VTabs v-model="currentTab">
      <VTab>General Propose</VTab>
      <VTab>scripting</VTab>
      <VTab>GitLab CI Job Creation</VTab>
      <VTab>Error Detection and Correction</VTab>
      <VTab>Chat Mode</VTab>
    </VTabs>

    <div>
      <!-- Renderiza el componente chat con el contexto adecuado -->
      <Chat
        v-if="currentTab === 0"
        :context="generalContext"
      />
      <Chat
        v-if="currentTab === 1"
        :context="scriptingContext"
      />
      <Chat
        v-if="currentTab === 2"
        :context="gitlabCIContext"
      />
      <Chat
        v-if="currentTab === 3"
        :context="errorContext"
      />
      <ChatApp v-if="currentTab === 4" />
    </div>
  </VCard>
</template>
